<?php
$pagination_limits = Configure::read('Project.limit_options');
$pagination_options = $this->Paginator->params($this->Paginator->defaultModel());
$pagination_current_limit = $pagination_options['options']['limit'];
$pagination_page_count = $pagination_options['pageCount'];
?>
<div class="table-options">

    <div class="mass-check">
    <?php if ($controllerOptions['massOperations']): ?>
        <a href="#" class="with-selected-check-all"><?php __('All'); ?></a>
        <a href="#" class="with-selected-check-none"><?php __('None'); ?></a>
    <?php endif; ?>
    </div>

    <div class="paginate-text">
    <?php if ($pagination_page_count > 1) :?>
        <p><?php
        echo $this->Paginator->counter(array(
        'format' => __('Page %page% of %pages%, showing %current% records out of %count% total, starting on record %start%, ending on %end%', true)
        ));
        ?></p>
        <div class="paging">
            <?php echo $this->element('paginator'); ?>
        </div>
    <?php endif; ?>
    </div>

    <div class="paginate-limit">
        <?php
        foreach($pagination_limits as $limit => $title) {
            echo $this->Html->link('', array_merge($this->passedArgs, array('limit' => $limit)), array('class' => "paginate-limit-link-{$limit}", 'style' => 'display: none;'));
        }
        echo $this->Form->input('paginate-limit', array('label' => false, 'options' => $pagination_limits, 'selected' => $pagination_current_limit, 'div' => false));
        ?>
    </div>

</div>
