<script type="text/javascript">
var article_counter = <?php echo count($this->data['ProductItem']); ?>;
$(document).ready(function() {
	$('#article-add').click(function(e) {
		e.preventDefault();
		var article_template = $('#article-template tr').html();
		$(this).parents('div.form-list').find('table').append(
			$('<tr>').html(article_template.replace(/\{template\}/g, ++article_counter))
		);
	});

	$('.article-remove').live('click', function(e) {
		e.preventDefault();
		if ($(this).parents('table').find('td.article').length > 1) {
			$(this).parents('tr').fadeOut('medium', function() { $(this).remove(); });
		}
	});
});

function after_add_product_group(param) {
	$('#ProductProductGroupId').append('<option value="'+param['ProductGroup'].id+'">'+param['ProductGroup'].name+'</option>');
}

function after_add_tax_group(param) {
	$('#ProductTaxGroupId').append('<option value="'+param['TaxGroup'].id+'">'+param['TaxGroup'].name+'</option>');
}

function after_add_note_group(param) {
	$('#ProductNoteGroupId').append('<option value="'+param['NoteGroup'].id+'">'+param['NoteGroup'].name+'</option>');
}

function after_add_article(param) {
	$('.article select').append('<option value="'+param['Article'].id+'">'+param['Article'].display+'</option>');
}
function after_add_extra_group(param) {
	$('#ProductExtraGroupId').append('<option value="'+param['ExtraGroup'].id+'">'+param['ExtraGroup'].name+'</option>');
}
</script>

<div id="article-template" style="display: none;">
	<table>
		<tr><?php echo $this->element('form_items/product_item', array('item_index' => '{template}', 'labels' => false)); ?></tr>
	</table>
</div>

<div class="products form">
<?php echo $this->Form->create('Product');?>
	<fieldset>
 		<legend><?php __('Add Product'); ?></legend>
	<?php
		echo $this->Form->input('name', array('label' => 'Kratki naziv'));
		echo $this->Form->input('name_long', array('label' => 'Naziv na računu'));
		echo $this->Form->input('product_group_id', array(
			'empty' => '-',
			'label' => __('ProductGroup', true) . ' ' . $this->Html->link('&nbsp;', array('plugin' => null, 'controller' => 'products', 'action' => 'group_add'), array('id' => 'product-group-new', 'class' => 'ico-add nyroModal', 'escape' => false))
		));
		echo $this->Form->input('tax_group_id', array(
			'empty' => '-',
			'label' => __('TaxGroup', true) /*. ' ' . $this->Html->link('&nbsp;', array('plugin' => null, 'controller' => 'products', 'action' => 'tax_group_add'), array('id' => 'tax-group-new', 'class' => 'ico-add nyroModal', 'escape' => false))*/
		));
		echo $this->Form->input('	_id', array(
			'empty' => '-',
			'label' => __('Printer', true) 
		));


		echo $this->Form->input('keub', array(
				'label' => __('KEUB', true),
				'style' => 'width:20px; height:20px; ', 
				'type' => 'checkbox', 
				'div' => array('class' => 'input text dont-break', 'style' => 'width:100px; ')
			)
		);
		echo $this->Form->input('tezina', array(
				'label' => __('Težina', true),
				'style' => 'width:200px; ',
				'default' => '0.0000',
				'div' => array('class' => 'input text dont-break')
			)
		);
		
		
		echo $this->Form->input('keub_group_id', array(
			'empty' => '-',
			'label' => __('KEUB grupa', true),
			'div' => array('class' => 'input text dont-break')
		));
		

		/*
		echo $this->Form->input('note_group_id', array(
			'empty' => '-',
			'label' => __('NoteGroup', true) . ' ' . $this->Html->link('&nbsp;', array('plugin' => null, 'controller' => 'notes', 'action' => 'group_add'), array('id' => 'notes-group-new', 'class' => 'ico-add nyroModal', 'escape' => false)),
			'class' => 'short',
			'div' => array('class' => 'input text dont-break')
		));
		echo $this->Form->input('extra_group_id', array(
		'empty' => '-', 
		'label' => __('ExtraGroup', true). ' ' .     $this->Html->link('&nbsp;', array('plugin' => null, 'controller' => 'extra_groups', 'action' => 'add'), array('id' => 'extra-group-new', 'class' => 'ico-add nyroModal', 'escape' => false)) ,
		'class' => 'short', 
		'div' => array('class' => 'input text dont-break')));
		*/
		
		
	?>
		<div class="clear"></div>
	<?php
		echo $this->Form->input('price_1', array('class' => 'shortest', 'div' => array('class' => 'input text dont-break')));
		/*
		echo $this->Form->input('price_2', array('class' => 'shortest', 'div' => array('class' => 'input text dont-break')));
		echo $this->Form->input('price_3', array('class' => 'shortest', 'div' => array('class' => 'input text dont-break')));
		echo $this->Form->input('price_4', array('class' => 'shortest', 'div' => array('class' => 'input text dont-break')));
		*/
		echo $this->Form->input('description');
	?>
	</fieldset>

	<fieldset>
		<legend><?php __('Articles'); ?></legend>
		<div class="form-list">
			<table>
				<tr>
					<td width="70%"><?php __('Article'); ?> <?php echo $this->Html->link('&nbsp;', array('plugin' => null, 'controller' => 'articles', 'action' => 'add'), array('id' => 'article-new', 'class' => 'ico-add nyroModal', 'escape' => false)); ?></td>
					<td width="29%"><?php __('Amount'); ?></td>
					<td></td>
				</tr>
				<?php if (empty($this->data['ProductItem'])): $item_index = 0; ?>
					<tr><?php echo $this->element('form_items/product_item', array('item_index' => $item_index)); ?></tr>
				<?php else: foreach($this->data['ProductItem'] as $item_index => $product_item): ?>
					<tr><?php echo $this->element('form_items/product_item', array('item_index' => $item_index)); ?></tr>
				<?php endforeach; endif; ?>
			</table>
			<a href="#" id="article-add" class="ico-add"><?php __('Add'); ?></a>
		</div>
	</fieldset>

<?php echo $this->Form->end(__('Save', true));?>
</div>
<div class="actions">
	<h3><?php __('Actions'); ?></h3>
	<ul>
		<li><?php echo $this->Html->link(__('List Products', true), array('action' => 'index'), array('class' => 'action-list'));?></li>
		<li><?php echo $this->Html->link(__('New Product Group', true), array('controller' => 'products', 'action' => 'group_add'), array('class' => 'action-add')); ?> </li>
	</ul>
</div>