<div class="actions">
	<h3><?php __('Actions'); ?></h3>
	<ul>
		<li><?php echo $this->Html->link(__('New User', true), array('action' => 'add'), array('class' => 'action-add')); ?></li>
	</ul>

	<?php if (!empty($filter)) {
		$paginator->options(array('url' => $this->passedArgs));
		echo $this->element('filter_side', array('filters' => $filter));
	} ?>
</div>

<div class="users index">
	<h2><?php __('Users');?></h2>

	<table cellpadding="0" cellspacing="0">
	<tr>
			<th><?php echo $this->Paginator->sort('username');?></th>
			<th><?php echo $this->Paginator->sort(__('UserLevel', true), 'UserLevel.name');?></th>
			<th><?php echo $this->Paginator->sort('last_login');?></th>
			<th class="actions"><?php __('Actions');?></th>
	</tr>
	<?php
	if (count($items) > 0):
		$i = 0;
		foreach ($items as $item):
			$class = null;
			if ($i++ % 2 == 0) {
				$class = ' class="altrow"';
			}
		?>
		<tr<?php echo $class;?>>
			<td><?php echo $item['User']['username']; ?>&nbsp;</td>
			<td><?php echo $item['UserLevel']['name']; ?>&nbsp;</td>
			<td>
				<?php if (!empty($item['User']['last_login'])) echo $this->Time->format($item['User']['last_login'], Configure::read('Formats.datetime_default')); ?>
			</td>
			<td class="actions">
				<?php echo $this->Html->link(__('View', true), array('action' => 'view', $item['User']['id']), array('class' => 'action-view')); ?>
				<?php echo $this->Html->link(__('Edit', true), array('action' => 'edit', $item['User']['id']), array('class' => 'action-edit')); ?>
				<?php echo $this->Html->link(__('Delete', true), array('action' => 'delete', $item['User']['id']), array('class' => 'action-delete'), sprintf(__('Are you sure you want to delete # %s?', true), $item['User']['id'])); ?>
			</td>
		</tr>
		<?php
		endforeach;
	else: ?>
		<tr><td colspan="100"><?php __('No Users found'); ?></td></tr>
	<?php endif; ?>

	</table>

	<p><?php //echo $this->Paginator->counter(array('format' => __('Page %page% of %pages%, showing %current% records out of %count% total', true))); ?></p>

	<div class="paging">
		<?php echo $this->element('paginator');?>
	</div>
</div>
