<div class="offers view">
<h2><?php  __('Offer');?></h2>
	<dl><?php $i = 0; $class = ' class="altrow"';?>
		<?php if ($item['Offer']['canceled']): ?>
			<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Status'); ?></dt>
			<dd<?php if ($i++ % 2 == 0) echo $class;?> style="color: red; font-weight: bold;">
				<?php __('Canceled'); ?>
				&nbsp;
			</dd>
		<?php endif; ?>
		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Date'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php if (!empty($item['Offer']['date'])) echo $this->Time->format($item['Offer']['date'], Configure::read('Formats.datetime_default')); ?>
			&nbsp;
		</dd>
		
			<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Number'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php echo $item['Offer']['number'] ?>
			&nbsp;
		</dd>
		
				<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Document Date'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php if (!empty($item['Offer']['document_date'])) echo $this->Time->format($item['Offer']['document_date'], Configure::read('Formats.datetime_default')); ?>
			&nbsp;
		</dd>
		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Customer'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php echo $this->Html->link($item['Customer']['name'], array('controller' => 'customers', 'action' => 'view', $item['Customer']['id'])); ?>
			&nbsp;
		</dd>
		<d
			<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Note'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php echo $item['Offer']['note']; ?>
			&nbsp;
		</dd>
		
		<hr />
		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Created'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php echo $this->Time->format($item['Offer']['created'], Configure::read('Formats.datetime_default')) . " ({$item['Offer']['created_by']})"; ?>
			&nbsp;
		</dd>
	</dl>
</div>
<div class="actions">
	<h3><?php __('Actions'); ?></h3>
	<ul>
		<li><?php echo $this->Html->link(__('Cancel Offer', true), array('action' => 'cancel', $item['Offer']['id']), array('class' => 'action-delete'), __('Are you sure you want to cancel this Offer?', true)); ?> </li>
		<li><?php echo $this->Html->link(__('Print Offer', true), array('controller' => 'reports','action' => 'print_offer', $item['Offer']['id']), array('class' => 'action-print','target' => '_blank')); ?> </li>		
		<li><?php echo $this->Html->link(__('List Offers', true), array('action' => 'index'), array('class' => 'action-list')); ?> </li>
		<li><?php echo $this->Html->link(__('New Offer', true), array('action' => 'add'), array('class' => 'action-add')); ?> </li>
	</ul>
</div>

<div class="related">
	<h3><?php __('Articles'); ?></h3>
	<table cellpadding="0" cellspacing="0">
		<tr>
			<th><?php __('Article'); ?></th>
			<th><?php __('Amount'); ?></th>
			<th><?php __('Price Sell'); ?></th>
			<th><?php __('Discount'); ?></th>
			<th><?php __('Price Total'); ?></th>
			
			<th class="actions"><?php __('Actions'); ?></th>
		</tr>
		<?php
		if (!empty($item['OfferItem'])) {
			foreach ($item['OfferItem'] as $ri): ?>
			<tr>
				<td><?php echo $ri['Article']['name']; ?></td>
				<td><?php echo $ri['amount'] . ' ' . $ri['Article']['unit']; ?></td>
				<td><?php echo $ri['price_sell'] . ' ' . UGO_CURRENCY; ?></td>
				<td><?php echo $ri['discount'] . '%'; ?></td>
				<td><?php echo $ri['price'] . ' ' . UGO_CURRENCY; ?></td>
				<td class="actions"><?php echo $this->Html->link(__('View', true), array('controller' => 'articles', 'action' => 'view', $ri['Article']['id'])); ?></td>
			</tr>
		<?php endforeach;
		} else { ?>
			<tr>
				<td colspan="20"><?php __('No Articles found'); ?></td>
			</tr>
		<?php } ?>
	</table>
</div>
