<div class="receivings index">
	<h2><?php __('Receiving orders');?></h2>
	<table cellpadding="0" cellspacing="0">
	<tr>
		<th><?php echo $this->Paginator->sort('date');?></th>
		<th><?php echo $this->Paginator->sort(__('Supplier', true), 'Supplier.name');?></th>
		<th><?php echo $this->Paginator->sort('created_by');?></th>
		<th class="actions"><?php __('Actions');?></th>
	</tr>
	<?php
	if (count($items) > 0):
		$i = 0;
		foreach ($items as $item):
			$class = array();
			if ($i++ % 2 == 0) $class[] = 'altrow';
			if ($item['ReceivingOrder']['canceled']) $class[] = 'canceled';
		?>
	<tr<?php if (!empty($class)) echo ' class="'.implode(' ', $class).'"';?>>
		<td>
			<?php if (!empty($item['ReceivingOrder']['date'])) echo $this->Time->format($item['ReceivingOrder']['date'], Configure::read('Formats.datetime_default')); ?>
		</td>
		<td>
			<?php echo $this->Html->link($item['Supplier']['name'], array('controller' => 'suppliers', 'action' => 'view', $item['Supplier']['id'])); ?>
		</td>
		<td><?php echo $item['ReceivingOrder']['created_by']; ?>&nbsp;</td>
		<td class="actions">
			<?php echo $this->Html->link(__('View', true), array('action' => 'view', $item['ReceivingOrder']['id']), array('class' => 'action-view')); ?>
			<?php echo $this->Html->link(__('Edit', true), array('action' => 'edit', $item['ReceivingOrder']['id']), array('class' => 'action-edit')); ?>
			<?php if (!$item['ReceivingOrder']['canceled']) echo $this->Html->link(__('Cancel', true), array('action' => 'cancel', $item['ReceivingOrder']['id']), array('class' => 'action-delete'), __('Are you sure you want to cancel this Receiving order?', true)); ?>
			<?php echo $this->Html->link(__('Print', true), array('controller' => 'reports','action' => 'print_receiving_order', $item['ReceivingOrder']['id']), array('class' => 'action-print','target' => '_blank')); ?>
		</td>
	</tr>
<?php endforeach;
else: ?>
	<tr><td colspan='20'><?php __('No Receiving orders found'); ?></td></tr><?php endif; ?>
	</table>

	<p><?php //echo $this->Paginator->counter(array('format' => __('Page %page% of %pages%, showing %current% records out of %count% total', true))); ?></p>

	<div class="paging">
		<?php echo $this->element('paginator');?>
	</div>
</div>

<div class="actions">
	<h3><?php __('Actions'); ?></h3>
	<ul>
		<li><?php echo $this->Html->link(__('New Receiving order', true), array('action' => 'add'), array('class' => 'action-add')); ?></li>
	</ul>

	<?php if (!empty($filter)) {
		$paginator->options(array('url' => $this->passedArgs));
		echo $this->element('filter_side', array('filters' => $filter));
	} ?>
</div>