<div class="receivings view">
<h2><?php  __('Receiving');?></h2>
	<dl><?php $i = 0; $class = ' class="altrow"';?>
		<?php if ($item['Receiving']['canceled']): ?>
			<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Status'); ?></dt>
			<dd<?php if ($i++ % 2 == 0) echo $class;?> style="color: red; font-weight: bold;">
				<?php __('Canceled'); ?>
				&nbsp;
			</dd>
		<?php endif; ?>
		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Document Date'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php if (!empty($item['Receiving']['document_date'])) echo $this->Time->format($item['Receiving']['document_date'], Configure::read('Formats.datetime_default')); ?>
			&nbsp;
		</dd>
		
			<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Number'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php echo $item['Receiving']['number'] ?>
			&nbsp;
		</dd>
		
				<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Document Enter Date'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php if (!empty($item['Receiving']['created'])) echo $this->Time->format($item['Receiving']['created'], Configure::read('Formats.datetime_default')); ?>
			&nbsp;
		</dd>
		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Supplier Name'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php echo $this->Html->link($item['Supplier']['display'], array('controller' => 'suppliers', 'action' => 'view', $item['Supplier']['id'])); ?>
			&nbsp;
		</dd>
		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Price Buy'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php echo $item['Receiving']['price_buy'] . ' ' . UGO_CURRENCY; ?>
			&nbsp;
		</dd>
		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Price Sell'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php echo $item['Receiving']['price_sell'] . ' ' . UGO_CURRENCY; ?>
			&nbsp;
		</dd>
			<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Note'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php echo $item['Receiving']['note']; ?>
			&nbsp;
		</dd>
		<?/*?>
		<hr />
		<dt<?php if ($i % 2 == 0) echo $class;?>><?php __('Created'); ?></dt>
		<dd<?php if ($i++ % 2 == 0) echo $class;?>>
			<?php echo $this->Time->format($item['Receiving']['created'], Configure::read('Formats.datetime_default')) . " ({$item['Receiving']['created_by']})"; ?>
			&nbsp;
		</dd>
		<?*/?>
	</dl>
</div>
<div class="actions">
	<h3><?php __('Actions'); ?></h3>
	<ul>
		<li><?php echo $this->Html->link(__('Cancel Receiving', true), array('action' => 'cancel', $item['Receiving']['id']), array('class' => 'action-delete'), __('Are you sure you want to cancel this Receiving?', true)); ?> </li>
		<li><?php echo $this->Html->link(__('Print Receiving', true), array('controller' => 'reports','action' => 'print_receiving', $item['Receiving']['id']), array('class' => 'action-print','target' => '_blank')); ?> </li>
		<li><?php echo $this->Html->link(__('List Receivings', true), array('action' => 'index'), array('class' => 'action-list')); ?> </li>
		<li><?php echo $this->Html->link(__('New Receiving', true), array('action' => 'add'), array('class' => 'action-add')); ?> </li>
		<li><?php echo $this->Html->link(__('Edit Receiving', true), array('controller' => 'receivings#rec_item_id/'.$item['Receiving']['id']), array('class' => 'action-edit')); ?> </li>
	</ul>
</div>

<div class="related">
	<h3><?php __('Articles'); ?></h3>
	<table cellpadding="0" cellspacing="0">
		<tr>
			<th><?php __('Article'); ?></th>
			<th><?php __('Amount'); ?></th>
			<th><?php __('Price Buy'); ?></th>
			<th><?php __('Price Sell'); ?></th>
			<th><?php __('Discount'); ?></th>
			<th><?php __('Price Total'); ?></th>
			<th><?php __('Marza'); ?></th>
			<th class="actions"><?php __('Actions'); ?></th>
		</tr>
		<?php
		if (!empty($item['ReceivingItem'])) {
			foreach ($item['ReceivingItem'] as $ri): ?>
			<tr>
				<td><?php echo $ri['Article']['name']; ?></td>
				<td><?php echo $ri['amount'] . ' ' . $ri['Article']['unit']; ?></td>
				<td><?php echo $ri['price_buy'] . ' ' . UGO_CURRENCY; ?></td>
				<td><?php echo $ri['price_sell'] . ' ' . UGO_CURRENCY; ?></td>
				<td><?php echo $ri['discount'] . '%'; ?></td>
				<td><?php echo $ri['price'] . ' ' . UGO_CURRENCY; ?></td>
				<td><?php echo $ri['marza_percent'] . '%'; ?></td>
				<td class="actions"><?php echo $this->Html->link(__('View', true), array('controller' => 'articles', 'action' => 'view', $ri['Article']['id'])); ?></td>
			</tr>
		<?php endforeach;
		} else { ?>
			<tr>
				<td colspan="20"><?php __('No Articles found'); ?></td>
			</tr>
		<?php } ?>
	</table>
</div>
